Loading...
Searching...
No Matches
counter.c File Reference
`#include <grass/config.h>`
`#include <grass/gis.h>`
Include dependency graph for counter.c:

Go to the source code of this file.

## Functions

void | G_init_counter (struct Counter *c, int v)
int | G_counter_next (struct Counter *c)
int | G_is_initialized (int *p)
void | G_initialize_done (int *p)

## Function Documentation

## G_counter_next()

int G_counter_next | ( | struct Counter * | c | ) |

Definition at line 46 of file counter.c.

Referenced by G_tempfile_pid(), and G_tempfile_pid_basedir().

## G_init_counter()

void G_init_counter | ( | struct Counter * | c,
|  | int | v )

Definition at line 38 of file counter.c.

Referenced by G_init_logging(), and G_init_tempfile().

## G_initialize_done()

void G_initialize_done | ( | int * | p | ) |

Definition at line 77 of file counter.c.

Referenced by G__home(), G__init_window(), G__machine_name(), G_config_path(), G_date(), G_get_window(), G_init_debug(), G_init_locale(), G_init_logging(), G_init_tempfile(), G_read_datum_table(), G_read_ellipsoid_table(), G_set_verbose(), G_verbose(), and G_whoami().

## G_is_initialized()

int G_is_initialized | ( | int * | p | ) |

Definition at line 60 of file counter.c.

Referenced by G__home(), G__init_window(), G__machine_name(), G_config_path(), G_date(), G_get_window(), G_init_debug(), G_init_locale(), G_init_logging(), G_init_tempfile(), G_read_datum_table(), G_read_ellipsoid_table(), G_set_verbose(), G_verbose(), and G_whoami().